=== debian/changelog ===
scummvm (0.13.0-2) unstable; urgency=low

  * dbus_service.patch is incomplete - needs also install line in debian/rules
  
 -- Frantisek Dufka <dufkaf@seznam.cz>  Fri, 27 Feb 2009 20:37:29 +0100

scummvm (0.13.0-1) unstable; urgency=low

  * fix crash in task switcher caption code when .scummvmrc had fullscreen value set
  * enabled also dbus_service.patch for home key switching back (not needed in OS < 2008)
  
 -- Frantisek Dufka <dufkaf@seznam.cz>  Fri, 27 Feb 2009 09:29:01 +0100

scummvm (0.13.0) unstable; urgency=low

  * upstream 0.13.0 release
  * Feeble Files mapping
  * task switcher item name patch from mikkov
  
 -- Frantisek Dufka <dufkaf@seznam.cz>  Wed, 18 Feb 2009 21:52:33 +0100
