=== dists/debian/changelog ===
scummvm (0.10.0-0svn20070530) experimental; urgency=low

  * SVN snapshot.

    Builder:    Timo Röhling <timo@glueckspilz.farm.lokal>
    Build-date: Wed, 30 May 2007 11:54:05 +0200

    Please don't file bugs you find in this package in the Debian Bug Tracking
    system, use the ScummVM team's own bug tracker instead.  You can find this
    tracker at <http://sourceforge.net/tracker/?group_id=37116>.

 -- Tore Anderson <tore@debian.org>  Wed, 30 May 2007 11:54:05 +0200

scummvm (0.7.1-1) unstable; urgency=low

  * New upstream release.

  * debian/control:
      - Remove the nasm [!i386] build conflict, as the configure script now
        correctly detects if nasm can be used.
      - Up standards-version to 3.6.1.1 (no changes required).

  * configure:
      - Reverted to the upstream version, as the GCC 4.0 patch from 0.7.0-3 is
        now included there.

 -- Tore Anderson <tore@debian.org>  Tue, 29 Mar 2005 21:57:38 +0200

scummvm (0.7.0-3) unstable; urgency=medium

  * debian/control:
      - Add a version requirement of >= 1.1.1-2 to the libflac-dev build
        dependency, closes: #289214.
      - Add fluidsynth as a preferred alternative to the timidity suggestion.
      - Remove superfluous "the" from the description.

  * configure:
      - Partly apply patch from Andreas Jochens, closes: #289122.  Thanks!
        Hopefully, this should make it possible to compile ScummVM on AMD64
        using GCC 4.0.  GCC 4.0 is not yet supported from upstream, though.

 -- Tore Anderson <tore@debian.org>  Sat,  8 Jan 2005 15:03:34 +0100

scummvm (0.7.0-2) unstable; urgency=low

  * debian/control:
      - Build-depend on nasm only on i386.
      - Add a build conflict on nasm for all other archs than i386.
      - Add an explicit build dependency on libz-dev.

  * debian/copyright:
      - Change URLs from http://scummvm.sf.net/ to http://www.scummvm.org/.

 -- Tore Anderson <tore@debian.org>  Wed,  5 Jan 2005 23:22:08 +0100

scummvm (0.7.0-1) unstable; urgency=low

  * New upstream release.
      - Fixes scripting bug that in some cases may render the game unwinnable,
        closes: #209418.

  * debian/control:
      - Improve description.  Closes: #266055.  Thanks, Frederic Briere!
      - Add build dependencies on nasm, tetex-bin, tetex-extra, gs-gpl, and
        libflac-dev.

  * debian/rules, debian/scummvm.docs, debian/copyright:
      - Build and include README.pdf (generated from doc/*.tex).
      - Include AUTHORS, and reference it from debian/copyright instead of
        maintaining a separate list of authors there.

  * debian/scummvm.dirs, debian/rules, debian/scummvm.sh (removed):
      - A more sane default save game path has been chosen upstream.  Remove
        the Debian-specific wrapper script workaround introduced in 0.6.0-2
        accordingly.

 -- Tore Anderson <tore@debian.org>  Wed,  5 Jan 2005 14:43:08 +0100

scummvm (0.6.1b-1) unstable; urgency=low

  * New upstream release.

 -- Tore Anderson <tore@debian.org>  Fri,  6 Aug 2004 12:45:46 +0200

scummvm (0.6.1-1) unstable; urgency=low

  * New upstream release.

 -- Tore Anderson <tore@debian.org>  Mon, 26 Jul 2004 15:11:10 +0200

scummvm (0.6.0-2) unstable; urgency=low

  * debian/scummvm.dirs, debian/rules, debian/scummvm.sh (new):
      - Make /usr/games/scummvm be a wrapper script which creates the
        ~/.scummvmrc file if it doesn't already exist, setting the savegame
        path to ~/.scummvm/.  Closes: #216178.  This is a workaround, though,
        I really wish this would be fixed in the upstream sources.

  * debian/control:
      - Correct the compability chart link in the package description.
      - Update package description so it is clear that Flight of The Amazon
        Queen and Beneath a Steel Sky is available in Debian, closes: #245356.

  * debian/README.Debian (removed):
      - Removed from the package, as it only spoke of the ScummVM tools,
        which was removed in the 0.6.0-1 upload.  Closes: #259259 (sort-of).

  * base/main.cpp, scumm/actor.cpp, scumm/debugger.cpp:
      - GCC 3.4 fixes from Andreas Jochens.  Thanks!  Closes: #259835.

 -- Tore Anderson <tore@debian.org>  Sun, 18 Jul 2004 12:26:27 +0200

scummvm (0.6.0-1) unstable; urgency=low

  * New upstream release.

  * debian/control:
      - Build-Depend on libmpeg2-4-dev to support Broken Sword cutscenes.

  * debian/rules:
      - Start using upstream's new configure script.
      - Remove unneeded call to dh_link.

  * debian/scummvm.docs:
      - Add upstream's TODO file.

  * debian/scummvm.menu:
      - Enclose the "needs" and "section" directives in double quotes.

  * debian/patches/* (removed), debian/control, debian/rules:
      - Stop using dpatch.  All of the previously required patches are now
        integrated in the upstream sources.

  * debian/tools/* (removed), debian/scummvm.examples, debian/rules:
      - Remove the various tools as they really don't belong in the ScummVM
        package.

 -- Tore Anderson <tore@debian.org>  Sun, 14 Mar 2004 16:28:54 +0100

scummvm (0.5.1-4) unstable; urgency=low

  * debian/patches/03alsa_api_fix.dpatch (new), debian/patches/00list:
      - FTBFS fix;  improve ALSA version detection macro so it works with
        version 1.0 and above.  Thanks, Jordi Mallach!

 -- Tore Anderson <tore@debian.org>  Sun,  1 Feb 2004 01:36:07 +0100

scummvm (0.5.1-3) unstable; urgency=low

  * debian/patches/02bass_soundreload (new):
    - Forces BASS to reload music and sound even if the intro was
      viewed in full, closes: #208901.
  * debian/control:
    - Change maintainer email address.
    - Bump Standards-Version to current policy, no changes required.

 -- Tore Anderson <tore@debian.org>  Mon, 29 Sep 2003 16:13:43 +0200

scummvm (0.5.1-2) unstable; urgency=low

  * Move to main.  (Note to the FTP masters:  This is because the
    one of the supported games, Beneath A Steel Sky, has recently been
    released as free software.  It should appear in NEW shortly, if

